Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ODCI
Class ODCIIndexInfo

    java.lang.Object
      |
      +--oracle.ODCI.ODCIIndexInfo

public class ODCIIndexInfo
extends java.lang.Object

Field Summary
`protected static ODCIIndexInfo` | `_ODCIIndexInfoFactory`
`static java.lang.String` | `_SQL_NAME`
`static int` | `_SQL_TYPECODE`
`protected MutableStruct` | `_struct`

Constructor Summary
`` | `ODCIIndexInfo()`
`protected` | `ODCIIndexInfo(boolean init)`

Method Summary
`ORAData` | `create(Datum d, int sqlType)`
`protected ORAData` | `create(ODCIIndexInfo o, Datum d, int sqlType)`
`ODCIColInfoList` | `getIndexCols()`
`java.math.BigDecimal` | `getIndexInfoFlags()`
`java.lang.String` | `getIndexName()`
`java.lang.String` | `getIndexPartition()`
`java.lang.String` | `getIndexSchema()`
`static ORADataFactory` | `getORADataFactory()`
`void` | `setIndexCols(ODCIColInfoList IndexCols)`
`void` | `setIndexInfoFlags(java.math.BigDecimal IndexInfoFlags)`
`void` | `setIndexName(java.lang.String IndexName)`
`void` | `setIndexPartition(java.lang.String IndexPartition)`
`void` | `setIndexSchema(java.lang.String IndexSchema)`
`Datum` | `toDatum(java.sql.Connection c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _SQL_NAME

    public static final java.lang.String _SQL_NAME

  See Also:
    Constant Field Values

### _SQL_TYPECODE

    public static final int _SQL_TYPECODE

### _struct

    protected MutableStruct _struct

### _ODCIIndexInfoFactory

    protected static final ODCIIndexInfo _ODCIIndexInfoFactory

Constructor Detail

### ODCIIndexInfo

    protected ODCIIndexInfo(boolean init)

### ODCIIndexInfo

    public ODCIIndexInfo()

Method Detail

### getORADataFactory

    public static ORADataFactory getORADataFactory()

### toDatum

    public Datum toDatum(java.sql.Connection c)
                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    public ORAData create(Datum d,
                          int sqlType)
                   throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### create

    protected ORAData create(ODCIIndexInfo o,
                             Datum d,
                             int sqlType)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getIndexSchema

    public java.lang.String getIndexSchema()
                                    throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setIndexSchema

    public void setIndexSchema(java.lang.String IndexSchema)
                        throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getIndexName

    public java.lang.String getIndexName()
                                  throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setIndexName

    public void setIndexName(java.lang.String IndexName)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getIndexCols

    public ODCIColInfoList getIndexCols()
                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setIndexCols

    public void setIndexCols(ODCIColInfoList IndexCols)
                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getIndexPartition

    public java.lang.String getIndexPartition()
                                       throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setIndexPartition

    public void setIndexPartition(java.lang.String IndexPartition)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### getIndexInfoFlags

    public java.math.BigDecimal getIndexInfoFlags()
                                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### setIndexInfoFlags

    public void setIndexInfoFlags(java.math.BigDecimal IndexInfoFlags)
                           throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Package | Class | Tree | Deprecated | Index | Help
| Oracle® Database Data Cartridge Java API Reference 10g Release 2 (10.2) B14292-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2005 Oracle. All rights reserved.